Bug 447183 - install ain't 'appenin'
install ain't 'appenin'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 12:08 EDT by ben
Modified: 2008-06-08 11:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.25.4-30.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 03:44:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ben 2008-05-18 12:08:31 EDT
Description of problem:
Anaconda not running from iso on hard drive or from DVD that's been sha1 checked
(o.k) 

Version-Release number of selected component (if applicable):
9

How reproducible:
without doubt

Steps to Reproduce:
1.start installer from DVD and choose install in graphic or text
2.from rescue disk and choose from downloaded iso on hd
3.if theres another way (I ain't found it)
  
Actual results:
The hard drive error is just a fail and it prints reboot now or something (forgot)
The DVD error is as follows:-
..................................................
................................................
..........................ready
Probing EDD (edd=off to disable)... ok

Decompressing Linux... Done.
Booting the kernel.









kernal alive
Panic: early exeption 0e rip 10:ffffffff8101baf0 error 0 cr2 ffffffff5fb030 

Expected results:
run anaconda run

Additional info:
Comment 1 Chuck Ebbert 2008-05-20 03:48:31 EDT
arch/x86/kernel/apic_64.c

The check for APIC already mapped was added recently but the early assignment to
maxlvt was not removed. This error is masking the real reason that the kernel is
failing to boot...

void clear_local_APIC(void)
{
====>   int maxlvt = lapic_get_maxlvt();
        u32 v;

        /* APIC hasn't been mapped yet */
        if (!apic_phys)
                return;

        maxlvt = lapic_get_maxlvt();
Comment 2 ben 2008-05-20 10:40:49 EDT
....erm!

Hardware Show Box 
http://www.smolts.org/client/show/pub_8a846ed9-01d2-40fe-850d-4764118e85f6


Comment 3 Fedora Update System 2008-05-22 11:33:06 EDT
kernel-2.6.25.4-30.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-05-28 22:51:26 EDT
kernel-2.6.25.4-30.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4630
Comment 5 Ted Sudtell 2008-06-01 14:12:18 EDT
Not installing on AMD Quad

[root@RoadRunner boot]# yum update
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: fedora.mirror.facebook.com
 * updates-testing: mirrors.usc.edu
 * updates: mirrors.usc.edu
 * adobe-linux-i386: linuxdownload.adobe.com
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kernel.x86_64 0:2.6.25.4-30.fc9 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  x86_64     2.6.25.4-30.fc9  updates-testing    18 M

Transaction Summary
=============================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 18 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : kernel                                            [1/1] 
nash received SIGSEGV!  Backtrace (14):
/sbin/nash[0x40d093]
/lib64/libc.so.6[0x303d8322a0]
/lib64/libc.so.6[0x303d87b612]
/lib64/libc.so.6(__libc_malloc+0x98)[0x303d87cd48]
/lib64/libblkid.so.1[0x3986805d65]
/lib64/libblkid.so.1(blkid_verify+0x176)[0x3986806e96]
/usr/lib64/libnash.so.6.0.52[0x31a720ca0f]
/usr/lib64/libnash.so.6.0.52(nashFindFsByUUID+0x24)[0x31a720cb24]
/usr/lib64/libnash.so.6.0.52(nashAGetPathBySpec+0x73)[0x31a720cc60]
/sbin/nash[0x4088a1]
/sbin/nash[0x40cf49]
/sbin/nash[0x40d576]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x303d81e32a]
/sbin/nash[0x404509]
^Cerror: %post(kernel-2.6.25.4-30.fc9.x86_64) scriptlet failed, signal 2

Installed: kernel.x86_64 0:2.6.25.4-30.fc9
Complete!
Comment 6 Fedora Update System 2008-06-06 03:44:24 EDT
kernel-2.6.25.4-30.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Ted Sudtell 2008-06-06 14:03:23 EDT
Thanks.  Works great...referring the above issue..
Comment 8 ben 2008-06-08 04:41:01 EDT
This has been closed I see but it don't help with installing from the DVD or am
I missing something between my ears?
Comment 9 Ted Sudtell 2008-06-08 11:11:57 EDT
My mistake.  I was talking about the yum update and put it on the wrong bug .  Either way the update 
works.  The DVD install on my part only got fixed when I took the USB drive offline.



Note You need to log in before you can comment on or make changes to this bug.